gnmmanage(1)

NAME
gnmmanagegnmmanage
 - Manages networks

SYNOPSIS

gnmmanage [--help][-q][-quiet][--long-usage]
          [info]
          [create [-f format_name] [-t_srs srs_name] [-dsco NAME=VALUE]... ]
          [import src_dataset_name] [-l layer_name]
          [connect gfid_src gfid_tgt gfid_con [-c cost] [-ic inv_cost] [-dir dir]]
          [disconnect gfid_src gfid_tgt gfid_con]
          [rule rule_str]
          [autoconnect tolerance]
          [delete]
          [change [-bl gfid][-unbl gfid][-unblall]]
          gnm_name [layer [layer ...]].fi

DESCRIPTION

The gnmmanage program can perform various managing operations on geographical networks in GDAL. In addition to creating and deleting networks this includes capabilities of managing network's features, topology and rules.

info:
    Different information about network: system and class layers, network metadata, network spatial reference.

create:
    Create network.

-f format_name:
    Output file format name.

-t_srs srs_name:
    Spatial reference input.

-dsco NAME=VALUE:
    Network creation option set as pair name=value.

import src_dataset_name:
    Import layer with dataset name to copy.

-l layer_name:
    Layer name in dataset. If unset, 0 layer is copied.

connect gfid_src gfid_tgt gfid_con:
    Make a topological connection, where the gfid_src and gfid_tgt are vertexes and gfid_con is edge (gfid_con can be -1, so the system edge will be inserted).

-c cost -ic inv_cost -dir dir:
    Manually assign the following values: the cost (weight), inverse cost and direction of the edge (optional).

disconnect gfid_src gfid_tgt gfid_con:
    Removes the connection from the graph.

rule rule_str:
    Creates a rule in the network by the given rule_str string.

autoconnect tolerance:
    Create topology automatically with the given double tolerance and layer names. In no layer name provided all layers of network will be used.

delete:
    Delete network.

change:
    Change blocking state of network edges or vertices.

-bl gfid:
    Block feature before the main operation. Blocking features are saved in the special layer.

-unbl gfid:
    Unblock feature before the main operation.

-unblall:
    Unblock all blocked features before the main operation.

gnm_name:
    The network to work with (path and name).

layer:
    The network layer name.

AUTHORS

Mikhail Gusev gusevmihs@gmail.com Dmitry Baryshnikov polimax@mail.ru